Skip to main content
`Ctrl`+`K`

# PetscHSetIVHas

Query for an entry in the hash set

## Synopsis

    #include <petsc/private/hashsetiv.h>
    PetscErrorCode PetscHSetIVHas(PetscHSetIV ht, PetscInt key, PetscBool *has)

## Input Parameters

- ht - The hash set

- key - The entry

## Output Parameter

- has - Boolean indicating whether the entry is in the hash set

## See Also

`PetscHSetIVAdd()`, `PetscHSetIVDel()`, `PetscHSetIVQueryAdd()`

## Level

developer

## Location

include/petsc/private/hashset.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages